complexType "MarginCallStatus"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 19 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 7 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, parentCorrelationId?, correlationId?, sequenceNumber??, onBehalfOf[0..4]?, marginCallIssuerPartyReference?, marginCallReceiverPartyReference?, creditSupportAgreement?, valuationDate?, baseCurrency?, (markToMarket?, independentAmount?, marginTerm?, collateral?)?, agreedAmount?, marginCallResponseReason*, party*, account*
</...>

Content Model Elements (19):

  account, agreedAmount (in marginCallStatus), baseCurrency (in marginCallStatus), collateral (defined in MarginDetails.model group), correlationId, creditSupportAgreement (in marginCallStatus), header (defined in ResponseMessage complexType), independentAmount (defined in MarginDetails.model group), marginCallIssuerPartyReference (in marginCallStatus), marginCallReceiverPartyReference (in marginCallStatus), | marginCallResponseReason, marginTerm, markToMarket, onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), sequenceNumber (defined in Sequence.model group), validation, valuationDate (in marginCallStatus)

All Direct / Indirect Based Elements (1):

  marginCallStatus

Known Usage Locations

- As direct type of elements (1):
  marginCallStatus

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) MarginCallStatus

XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="MarginCallStatus"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="marginCallIssuerPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="marginCallReceiverPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/> <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="baseCurrency" type="Currency"/> <xsd:group minOccurs="0" ref="MarginDetails.model"/> <xsd:element minOccurs="0" name="agreedAmount" type="AgreedAmount"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="marginCallResponseReason" type="MarginCallResponseReason"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 7/19)
agreedAmount

  Type: | AgreedAmount, complex content

  The agreedAmount block allows the responder to detail the undisputed amount for any Variation Margin requirement and/or Segregated Independent Amount requirement they may have received in the corresponding requestMargin message.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="agreedAmount" type="AgreedAmount"/>

baseCurrency

  Type: | Currency, simple content

  Denomination currency as specified in the margin agreement.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="baseCurrency" type="Currency"/>

creditSupportAgreement

  Type: | CreditSupportAgreement, complex content

  The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/>

marginCallIssuerPartyReference

  Type: | PartyReference, empty content

  The party issuing the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="marginCallIssuerPartyReference" type="PartyReference"/>

marginCallReceiverPartyReference

  Type: | PartyReference, empty content

  The party receiving the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="marginCallReceiverPartyReference" type="PartyReference"/>

marginCallResponseReason

  Type: | MarginCallResponseReason, complex content

  Defines a list of collateral response reason codes.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="marginCallResponseReason" type="MarginCallResponseReason"/>

valuationDate

  Type: | xsd:date, predefined, simple content

  Close of business date the local counterparty is valuing and issuing the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.